Package org.apache.batchee.container.jsl

## Class Transition

- java.lang.Object
- - org.apache.batchee.container.jsl.Transition

-     public class Transition
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Transition()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionElement` | `getNextExecutionElement()` |
    `TransitionElement` | `getTransitionElement()` |
    `boolean` | `isFinishedTransitioning()` |
    `boolean` | `noTransitionElementMatchedAfterException()` |
    `void` | `setFinishedTransitioning()` |
    `void` | `setNextExecutionElement​(ExecutionElement executionElement)` |
    `void` | `setNoTransitionElementMatchAfterException()` |
    `void` | `setTransitionElement​(TransitionElement transitionElement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transition

          public Transition()

  - ### Method Detail

    - #### getTransitionElement

          public TransitionElement getTransitionElement()

    - #### getNextExecutionElement

          public ExecutionElement getNextExecutionElement()

    - #### setTransitionElement

          public void setTransitionElement​(TransitionElement transitionElement)

    - #### setNextExecutionElement

          public void setNextExecutionElement​(ExecutionElement executionElement)

    - #### isFinishedTransitioning

          public boolean isFinishedTransitioning()

    - #### setFinishedTransitioning

          public void setFinishedTransitioning()

    - #### setNoTransitionElementMatchAfterException

          public void setNoTransitionElementMatchAfterException()

    - #### noTransitionElementMatchedAfterException

          public boolean noTransitionElementMatchedAfterException()